<?php
include('db_connect.php');

$date = isset($_GET['date']) ? $_GET['date'] : '';
$program = isset($_GET['program']) ? $_GET['program'] : '';
$year_level = isset($_GET['year_level']) ? $_GET['year_level'] : '';
$section = isset($_GET['section']) ? $_GET['section'] : '';

$query = "SELECT
    s.id,
    s.firstname,
    s.lastname,
    s.student_id,
    s.program,
    s.year_level,
    s.section,
    a.time_in,
    a.time_out
FROM students s
LEFT JOIN attendance a ON s.id = a.student_id AND a.date = '$date'
WHERE s.status = 1 AND s.archive_status = 0";

if (!empty($program)) {
	$query .= " AND s.program = '$program'";
}
if (!empty($year_level)) {
	$query .= " AND s.year_level = '$year_level'";
}
if (!empty($section)) {
	$query .= " AND s.section = '$section'";
}

$query .= " ORDER BY s.lastname, s.firstname ASC";

$students = $conn->query($query);
$output = '';
$i = 1;
while ($row = $students->fetch_assoc()) {
	$output .= '<tr>
        <td class="text-center">' . $i++ . '</td>
        <td class="text-center">' . ucwords($row['program']) . '</td>
        <td class="text-center">' . ucwords($row['year_level']) . '</td>
        <td class="text-center">' . ucwords($row['section']) . '</td>
        <td class="text-center">' . ucwords($row['lastname']) . '</td>
        <td class="text-center">' . ucwords($row['firstname']) . '</td>
        <td class="text-center">' . $row['student_id'] . '</td>
        <td class="text-center">' . ($row['time_in'] ?? 'N/A') . '</td>
        <td class="text-center">' . ($row['time_out'] ?? 'N/A') . '</td>
    </tr>';
}
echo $output;
