<?php
include('db_connect.php');

// Retrieve filter values from the request
$program = isset($_GET['program']) ? $_GET['program'] : '';
$year_level = isset($_GET['year_level']) ? $_GET['year_level'] : '';
$section = isset($_GET['section']) ? $_GET['section'] : '';

// Start the query
$query = "SELECT * FROM students WHERE status = 1";

// Append filters if they are provided
if ($program) {
  $query .= " AND program = '" . $conn->real_escape_string($program) . "'";
}
if ($year_level) {
  $query .= " AND year_level = '" . $conn->real_escape_string($year_level) . "'";
}
if ($section) {
  $query .= " AND section = '" . $conn->real_escape_string($section) . "'";
}

$query .= " ORDER BY student_id ASC";

// Execute the query
$result = $conn->query($query);
$output = '';
$count = 1;
while ($row = $result->fetch_assoc()) {
  $output .= '<tr>
        <td class="text-center">' . $count++ . '</td>
        <td class="text-center">' . $row['student_id'] . '</td>
        <td class="text-center">' . $row['lastname'] . '</td>
        <td class="text-center">' . $row['firstname'] . '</td>
        <td class="text-center">' . $row['email'] . '</td>
        <td class="text-center">' . $row['gender'] . '</td>
        <td class="text-center">' . $row['age'] . '</td>
        <td class="text-center">' . $row['program'] . '</td>
        <td class="text-center">' . $row['year_level'] . '</td>
        <td class="text-center">' . $row['section'] . '</td>
    </tr>';
}

echo $output;
