<?php include 'db_connect.php' ?>
<?php
if (isset($_GET['id'])) {
    $qry = $conn->query("SELECT * FROM event WHERE id=" . $_GET['id'])->fetch_array();
    foreach ($qry as $k => $v) {
        $$k = $v;
    }
}
?>
<div class="container-fluid">
    <form action="" id="manage-event">
        <input type="hidden" name="id" value="<?php echo isset($_GET['id']) ? $_GET['id'] : '' ?>" class="form-control">
        <div class="row form-group">
            <div class="col-md-4">
                <label class="control-label">Event Name</label>
                <input type="text" name="event_name" class="form-control"
                    value="<?php echo isset($event_name) ? $event_name : '' ?>">
            </div>
            <div class="col-md-4">
                <label class="control-label">Event Date</label>
                <input type="date" name="event_date" class="form-control"
                    value="<?php echo isset($event_date) ? $event_date : '' ?>">
            </div>
            <div class="col-md-4">
                <label class="control-label">Event Time</label>
                <input type="time" name="event_time" class="form-control"
                    value="<?php echo isset($event_time) ? $event_time : '' ?>">
            </div>
        </div>
        <div class="row form-group">
            <div class="col-md-4">
                <label class="control-label">Location</label>
                <input type="text" name="location" class="form-control"
                    value="<?php echo isset($location) ? $location : '' ?>">
            </div>
        </div>
        <div class="row form-group">
            <div class="col-md-4">
                <label class="control-label">Status</label>
                <select name="status" class="form-control">
                    <option value="" disabled selected>Select Status</option>
                    <option value="scheduled" <?php echo isset($status) && $status == 'scheduled' ? 'selected' : '' ?>>Scheduled</option>
                    <option value="completed" <?php echo isset($status) && $status == 'completed' ? 'selected' : '' ?>>Completed</option>
                    <option value="canceled" <?php echo isset($status) && $status == 'canceled' ? 'selected' : '' ?>>Canceled</option>
                </select>
            </div>
        </div>
    </form>
</div>

<script>
$('#manage-event').submit(function (e) {
    e.preventDefault();
    start_load();
    
    $.ajax({
        url: 'ajax.php?action=save_event',
        method: 'POST',
        data: $(this).serialize(),
        success: function (resp) {
            if (resp == 1) {
                alert_toast("Event successfully saved", 'success');
                setTimeout(function () {
                    location.reload();
                }, 1500);
            } else {
                console.error("Error Response: " + resp);
                alert_toast("Error: " + resp, 'error');
            }
            end_load();
        },
        error: function (xhr, status, error) {
            console.error("AJAX Error: " + error);
            alert_toast("AJAX Error: " + error, 'error');
            end_load();
        }
    });
});
</script>
