-- phpMyAdmin SQL Dump
-- version 5.2.1
-- https://www.phpmyadmin.net/
--
-- Host: 127.0.0.1
-- Generation Time: Feb 14, 2025 at 01:52 AM
-- Server version: 10.4.32-MariaDB
-- PHP Version: 8.2.12

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Database: `db_student_attendance`
--

-- --------------------------------------------------------

--
-- Table structure for table `attendance`
--

CREATE TABLE `attendance` (
  `id` int(11) NOT NULL,
  `student_id` int(11) DEFAULT NULL,
  `date` date DEFAULT NULL,
  `time_in` datetime NOT NULL DEFAULT current_timestamp(),
  `time_out` datetime DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Dumping data for table `attendance`
--

INSERT INTO `attendance` (`id`, `student_id`, `date`, `time_in`, `time_out`) VALUES
(17, 141, '2025-02-14', '2025-02-14 08:18:52', '2025-02-14 08:19:13'),
(18, 142, '2025-02-14', '2025-02-14 08:19:55', NULL);

-- --------------------------------------------------------

--
-- Table structure for table `event`
--

CREATE TABLE `event` (
  `id` int(11) NOT NULL,
  `event_name` varchar(255) NOT NULL,
  `event_date` date NOT NULL,
  `event_time` time NOT NULL,
  `location` varchar(255) DEFAULT NULL,
  `status` enum('scheduled','completed','canceled') DEFAULT 'scheduled',
  `created_at` timestamp NOT NULL DEFAULT current_timestamp()
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Dumping data for table `event`
--

INSERT INTO `event` (`id`, `event_name`, `event_date`, `event_time`, `location`, `status`, `created_at`) VALUES
(3, 'Feast of the Immaculate Conception', '2024-10-28', '09:00:00', 'School Chapel', 'completed', '2024-10-02 04:06:21'),
(4, 'Test event', '2024-11-04', '18:00:00', 'GYM', 'completed', '2024-11-04 06:51:25'),
(5, 'Testing', '2024-11-22', '12:00:00', 'Testing', 'completed', '2024-11-22 03:18:23'),
(6, 'Example Event', '2024-11-30', '11:00:00', 'Example', 'completed', '2024-11-30 03:11:35'),
(7, 'test event', '2024-12-10', '08:00:00', 'test location', 'completed', '2024-12-03 07:43:19');

-- --------------------------------------------------------

--
-- Table structure for table `students`
--

CREATE TABLE `students` (
  `id` int(30) NOT NULL,
  `firstname` varchar(200) NOT NULL,
  `lastname` varchar(200) NOT NULL,
  `gender` varchar(10) NOT NULL,
  `email` varchar(250) NOT NULL,
  `status` tinyint(1) NOT NULL DEFAULT 0,
  `age` int(11) NOT NULL,
  `student_id` varchar(50) DEFAULT NULL,
  `program` varchar(100) NOT NULL,
  `year_level` varchar(20) NOT NULL,
  `section` varchar(50) NOT NULL,
  `archive_status` tinyint(1) NOT NULL DEFAULT 0,
  `img` varchar(255) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Dumping data for table `students`
--

INSERT INTO `students` (`id`, `firstname`, `lastname`, `gender`, `email`, `status`, `age`, `student_id`, `program`, `year_level`, `section`, `archive_status`, `img`) VALUES
(38, 'Juan', 'Dela Cruz', 'Male', 'juan@sjcbi.edu.ph', 1, 23, '2020-111222', 'BSIT', '1', 'A', 0, '1739491940_433210b6-3eb4-45b4-848b-e9cce75eeef8.jpg'),
(141, 'Danyza', 'Javier', 'Female', 'javier@sjcbi.edu.ph', 1, 21, '2020-100111', 'BSIT', '1', 'A', 0, '1739492306_68d7b670-6a4e-4d27-8ecf-d69dc54e107d.jpg'),
(142, 'Cielo', 'Ziganay', 'Female', 'ziganay@sjcbi.edu.ph', 1, 25, '2020-100112', 'BSCRIM', '2', 'B', 0, NULL);

-- --------------------------------------------------------

--
-- Table structure for table `users`
--

CREATE TABLE `users` (
  `id` int(30) NOT NULL,
  `name` text NOT NULL,
  `username` varchar(200) NOT NULL,
  `password` text NOT NULL,
  `type` tinyint(1) NOT NULL COMMENT '1=admin, 2=students, 3=instructor',
  `students_id` int(11) NOT NULL,
  `archive_status` tinyint(1) NOT NULL DEFAULT 0
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Dumping data for table `users`
--

INSERT INTO `users` (`id`, `name`, `username`, `password`, `type`, `students_id`, `archive_status`) VALUES
(1, 'Admin', 'admin', '0192023a7bbd73250516f069df18b500', 1, 0, 0),
(39, 'Juan Dela Cruz', 'juan@sjcbi.edu.ph', '1d5f1b5f3a5b3fa1ed249a06b0ea2a36', 2, 38, 0),
(40, 'Vince Arnedo', 'vince@sjcbi.edu.ph', '90f1ee9eab32ba1f7be36b8b25d5299f', 2, 39, 0),
(134, 'Jose Rizal', 'jose.rizal@sjcbi.edu.ph', '482c811da5d5b4bc6d497ffa98491e38', 3, 0, 0),
(136, 'Andres Bonifacio', 'andres.bonifacio@sjcbi.edu.ph', '482c811da5d5b4bc6d497ffa98491e38', 3, 0, 0),
(142, 'Mark Justine Taguiam', 'taguiam@sjcbi.edu.ph', '92bf953e59578cb804847cf918064035', 2, 138, 0),
(145, 'Danyza Javier', 'javier@sjcbi.edu.ph', '7170df983783e721a2befc1a6c837dea', 2, 141, 0),
(146, 'Cielo Ziganay', 'ziganay@sjcbi.edu.ph', '1ede3f2af6856cbbdbe1edac9a91e9cf', 2, 142, 0);

--
-- Indexes for dumped tables
--

--
-- Indexes for table `attendance`
--
ALTER TABLE `attendance`
  ADD PRIMARY KEY (`id`),
  ADD KEY `student_id` (`student_id`);

--
-- Indexes for table `event`
--
ALTER TABLE `event`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `students`
--
ALTER TABLE `students`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `users`
--
ALTER TABLE `users`
  ADD PRIMARY KEY (`id`);

--
-- AUTO_INCREMENT for dumped tables
--

--
-- AUTO_INCREMENT for table `attendance`
--
ALTER TABLE `attendance`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=19;

--
-- AUTO_INCREMENT for table `event`
--
ALTER TABLE `event`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=8;

--
-- AUTO_INCREMENT for table `students`
--
ALTER TABLE `students`
  MODIFY `id` int(30) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=143;

--
-- AUTO_INCREMENT for table `users`
--
ALTER TABLE `users`
  MODIFY `id` int(30) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=147;

--
-- Constraints for dumped tables
--

--
-- Constraints for table `attendance`
--
ALTER TABLE `attendance`
  ADD CONSTRAINT `attendance_ibfk_1` FOREIGN KEY (`student_id`) REFERENCES `students` (`id`);
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
