<?php include 'db_connect.php'; ?>
<?php
if (isset($_GET['id'])) {
  $qry = $conn->query("SELECT * FROM students WHERE id=" . $_GET['id'])->fetch_array();
  foreach ($qry as $k => $v) {
    $$k = $v;
  }
}
?>
<div class="container-fluid">
  <form action="" id="manage-student">
    <input type="hidden" name="id" value="<?php echo isset($_GET['id']) ? $_GET['id'] : '' ?>" class="form-control">

    <div class="row form-group">
      <div class="col-md-4">
        <label class="control-label">First Name</label>
        <input type="text" name="firstname" class="form-control" value="<?php echo isset($firstname) ? $firstname : '' ?>" required>
      </div>
      <div class="col-md-4">
        <label class="control-label">Last Name</label>
        <input type="text" name="lastname" class="form-control" value="<?php echo isset($lastname) ? $lastname : '' ?>" required>
      </div>
      <div class="col-md-4">
        <label class="control-label">Gender</label>
        <select name="gender" class="form-control" required>
          <option value="" disabled selected>Select Gender</option>
          <option value="Male" <?php echo isset($gender) && $gender == 'Male' ? 'selected' : '' ?>>Male</option>
          <option value="Female" <?php echo isset($gender) && $gender == 'Female' ? 'selected' : '' ?>>Female</option>
        </select>
      </div>
    </div>

    <div class="row form-group">
      <div class="col-md-4">
        <label class="control-label">Email</label>
        <input type="email" name="email" class="form-control" value="<?php echo isset($email) ? $email : '' ?>" required>
      </div>
      <div class="col-md-4">
        <label class="control-label">Age</label>
        <input type="number" name="age" class="form-control" value="<?php echo isset($age) ? $age : '' ?>" required>
      </div>
      <div class="col-md-4">
        <label class="control-label">Student ID</label>
        <input type="text" name="student_id" class="form-control" value="<?php echo isset($student_id) ? $student_id : '' ?>">
      </div>
    </div>

    <div class="row form-group">
      <div class="col-md-4">
        <label class="control-label">Program</label>
        <input type="text" name="program" class="form-control" value="<?php echo isset($program) ? $program : '' ?>" required>
      </div>
      <div class="col-md-4">
        <label class="control-label">Year Level</label>
        <input type="text" name="year_level" class="form-control" value="<?php echo isset($year_level) ? $year_level : '' ?>" required>
      </div>
      <div class="col-md-4">
        <label class="control-label">Section</label>
        <input type="text" name="section" class="form-control" value="<?php echo isset($section) ? $section : '' ?>" required>
      </div>
    </div>
    <div class="row form-group">
      <div class="col-md-6">
        <label class="control-label">Profile Picture</label>
        <input type="file" name="img" class="form-control">
        <?php if (isset($img) && !empty($img)): ?>
          <img src="uploads/<?php echo $img; ?>" width="100" height="100" class="mt-2">
        <?php endif; ?>

      </div>
    </div>
  </form>
</div>

<script>
  $('#manage-student').submit(function(e) {
    e.preventDefault();
    start_load();
    var formData = new FormData(this); // Use FormData for file uploads

    $.ajax({
      url: 'ajax.php?action=save_students',
      method: 'POST',
      data: formData,
      contentType: false,
      processData: false,
      success: function(resp) {
        if (resp == 1) {
          alert_toast("Student successfully saved", 'success');
          setTimeout(function() {
            location.reload();
          }, 1500);
        } else {
          console.error("Error Response: " + resp);
          alert_toast("Error: " + resp, 'error');
        }
        end_load();
      },
      error: function(xhr, status, error) {
        console.error("AJAX Error: " + error);
        alert_toast("AJAX Error: " + error, 'error');
        end_load();
      }
    });
  });
</script>