<?php
include 'db_connect.php';
require 'vendor/autoload.php';

use PhpOffice\PhpSpreadsheet\Reader\Xlsx;

$importError = false;
$importStatus = '';

if (isset($_POST['importSubmit'])) {
	$excelMimes = array('text/xls', 'text/xlsx', 'application/excel', 'application/vnd.msexcel', 'application/vnd.ms-excel', 'application/vnd.openxmlformats-officedocument.spreadsheetml.sheet');

	if (!empty($_FILES['excel_file']['name']) && in_array($_FILES['excel_file']['type'], $excelMimes)) {
		if (is_uploaded_file($_FILES['excel_file']['tmp_name'])) {
			$reader = new Xlsx();
			$spreadsheet = $reader->load($_FILES['excel_file']['tmp_name']);
			$worksheet = $spreadsheet->getActiveSheet();
			$worksheet_arr = $worksheet->toArray();
			unset($worksheet_arr[0]);

			$userExists = false;

			foreach ($worksheet_arr as $row) {
				if (empty(array_filter($row))) {
					continue;
				}

				$firstname = $row[0];
				$lastname = $row[1];
				$email = $row[2];
				$gender = $row[3];
				$age = $row[4];
				$student_id = $row[5];
				$program = $row[6];
				$year_level = $row[7];
				$section = $row[8];
				$username = $email;
				$password = md5($email);
				$type = 2;

				$chk = $conn->query("SELECT id FROM users WHERE username = '$username'")->num_rows;

				if ($chk > 0) {
					$userExists = true;
					$importStatus .= '<div class="alert alert-danger">Import failed: username already exists - ' . $username . '</div>';
					break;
				}
			}

			if (!$userExists) {
				foreach ($worksheet_arr as $row) {
					if (empty(array_filter($row))) {
						continue;
					}

					$firstname = $row[0];
					$lastname = $row[1];
					$email = $row[2];
					$gender = $row[3];
					$age = $row[4];
					$student_id = $row[5];
					$program = $row[6];
					$year_level = $row[7];
					$section = $row[8];
					$username = $email;
					$password = md5($email);
					$type = 2;

					$conn->query("INSERT INTO users (name, username, password, type) VALUES ('$firstname $lastname', '$username', '$password', $type)");
					$userId = $conn->insert_id;
					$conn->query("INSERT INTO students (firstname, lastname, gender, email, status, age, student_id, program, year_level, section) 
                                  VALUES ('$firstname', '$lastname', '$gender', '$username', 1, '$age', '$student_id', '$program', '$year_level', '$section')");
					$studentsId = $conn->insert_id;
					$conn->query("UPDATE users SET students_id = $studentsId WHERE id = $userId");
				}

				$_SESSION['importStatus'] = 'Data Successfully Imported';
				echo '<script>window.location.href = "index.php?page=list_students";</script>';
				exit();
			}
		} else {
			$importStatus = '<div class="alert alert-danger">Error uploading file. Please try again.</div>';
		}
	} else {
		$importStatus = '<div class="alert alert-danger">Invalid file format. Please upload an Excel file (.xls or .xlsx).</div>';
	}
}
?>
<title>Import Students</title>

<div class="container-fluid mt-2">
	<div class="row">
		<div class="card col-lg-12">
			<div class="mt-3 card-header bg-primary text-white">
				<h4 class="mt-1">Import Student Accounts</h4>
			</div>
			<div class="card-body">
				<form action="" id="importForm" method="POST" enctype="multipart/form-data">
					<div class="form-group">
						<label for="excel_file">Upload Excel File</label>
						<input type="file" class="form-control-file" name="excel_file" accept=".xls, .xlsx" required>
					</div>
					<p class="text-muted">Please ensure that your Excel file includes the following columns: <strong>firstname, lastname, email, gender, age, student_id, program, year_level, section</strong></p>
					<button type="submit" class="btn btn-primary" name="importSubmit">Import Students</button>
				</form>

				<?php
				if (isset($importStatus)) {
					echo $importStatus;
				}
				?>
			</div>
		</div>
	</div>
</div>